<!--
  Generated template for the PastRideViewPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Past Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

<div class="text-center pad-all-10">

	<h3> From: <strong> {{ride.location_from}} </strong> </h3>
	<h3> To: <strong> {{ride.location_to}} </strong></h3>
	<p> <strong>Price:</strong> ${{ride.price}}</p>
	<p> <strong>Seats Offered:</strong> {{ride.seats}} </p>
	<p> <strong>Duration:</strong> {{duration}} </p>
  <p> <strong>Date:</strong> {{ride.dateFrom | date: 'dd/MM/yyyy' }} </p>
  <p> <strong>Time:</strong> {{ride.startHour }} </p>
  <p><strong>Passengers:</strong> {{ride.passengerCount}} </p>
  <p><strong>Description: </strong> {{ride.description}} </p> 

  <div class="text-center" ion-text-center padding>
    <p>Repeating a ride will create an exact copy with the current date.</p> 
  	<button (click)="repeatRide(ride)" ion-button full color="primary" class="bg-theme text-white btn rounded">
  		Repeat Ride 
  	</button>
  </div>
</div>
</ion-content>
